# SimpleSuspendableMapper

interface SimpleSuspendableMapper < T1 , T2 >(source)

A bidirectional mapper that can convert between two types T1 and T2 using suspending functions.

#### Type Parameters

T1

The first type

T2

The second type

#### Inheritors

SimpleSuspendableMapperImpl
MapperWriteCRUDRepo

## Functions

convert
Link copied to clipboard
@ JvmName (name = "convertFromT2")
suspend fun < T1 , T2 > SimpleSuspendableMapper < T1 , T2 >. convert (from: T2 ): T1

Converts from of type T2 to type T1 using this suspending mapper.

@ JvmName (name = "convertFromT1")
suspend fun < T1 , T2 > SimpleSuspendableMapper < T1 , T2 >. convert (from: T1 ): T2

Converts from of type T1 to type T2 using this suspending mapper.

convertToT1
Link copied to clipboard
abstract suspend fun convertToT1 (from: T2 ): T1
convertToT2
Link copied to clipboard
abstract suspend fun convertToT2 (from: T1 ): T2